Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235481 - js.msg and jsopcode.tbl missing in devel package
Summary: js.msg and jsopcode.tbl missing in devel package
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: js
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-06 04:03 UTC by Glen Cornell
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-11 21:21:08 UTC


Attachments (Terms of Use)

Description Glen Cornell 2007-04-06 04:03:19 UTC
Description of problem:
the following files are not found in either the js or js-devel packages:
js.msg
jsopcode.tbl
However, they are referenced in the header files:
jscntxt.h:510: #include "js.msg"
jsopcode.h:57: #include "jsopcode.tbl"

Version-Release number of selected component (if applicable):
js-devel-1.5-6.fc6

How reproducible:

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
this appears to be a packaging defect that can be corrected by adding the two
files to the rpm spec file in the devel section.  here's a small patch:

[glen@localhost SPECS]$ diff -Naur js.spec.orig js.spec
--- js.spec.orig        2007-04-06 00:00:34.000000000 -0400
+++ js.spec     2007-04-06 00:01:16.000000000 -0400
@@ -131,6 +131,8 @@
 %{_libdir}/*.so
 %{_libdir}/*.a
 %{_includedir}/js*.h
+%{_includedir}/jsopcode.tbl
+%{_includedir}/js.msg
 
 
 %changelog

Comment 1 Glen Cornell 2007-04-06 04:46:37 UTC
Oops - please use the following patch instead.  the one above did not install
the files properly...

[glen@localhost SPECS]$ diff -Naur js.spec.orig js.spec
--- js.spec.orig        2007-04-06 00:00:34.000000000 -0400
+++ js.spec     2007-04-06 00:38:34.000000000 -0400
@@ -93,7 +93,7 @@
     %{buildroot}%{_libdir}/
 %{__mv} %{buildroot}%{_libdir}/libjs.so %{buildroot}%{_libdir}/libjs.so.1
 %{__ln_s} -nf libjs.so.1 %{buildroot}%{_libdir}/libjs.so
-%{__install} -m 0644 src/js*.h src/Linux_All_OPT.OBJ/jsautocfg.h \
+%{__install} -m 0644 src/js*.h src/js.msg src/jsopcode.tbl
src/Linux_All_OPT.OBJ/jsautocfg.h \
   %{buildroot}%{_includedir}/
 %{__install} -m 0644 libjs.pc \
     %{buildroot}%{_libdir}/pkgconfig/
@@ -131,6 +131,8 @@
 %{_libdir}/*.so
 %{_libdir}/*.a
 %{_includedir}/js*.h
+%{_includedir}/jsopcode.tbl
+%{_includedir}/js.msg
 
 
 %changelog


Comment 2 Matthias Saou 2007-04-11 21:21:08 UTC
A new package with this change has been pushed to devel and FC6. Thanks for the
report!


Note You need to log in before you can comment on or make changes to this bug.